Skip to content

Check the status of currency pairs which can be bought and/or sold on our platform.

GET
/api/v1/system/currency-pairs

Returns the currency pairs for which quotes can be created.

Array<object>
object
currencyPair

Name of the currency pair.

string
Example
BTC-EUR
baseCurrency
CryptoCurrency

A cryptocurrency representation

object
code
required

The currency code.

string
Example
BTC
name
required

The currency name.

string
Example
Bitcoin
decimals
required

The precision.

integer
Example
8
caip19
string
""
supportsTag
required

Whether the currency supports a memo or a destination tag.

boolean
ticker
required

The currency ticker.

string
Example
BTC
chain
required

The chain through which the currency is delivered.

string
nullable
Example
Solana
smartContractAddress

The token smart contract address

string
nullable
Example
0x514910771af9ca656af840dff83e8264ecf986ca
quoteCurrency
object
code

The currency code.

string
Example
EUR
name

The currency name.

string
Example
Euro
decimals

The precision.

integer
Example
2
caip19
string
""
buy
object
status

Status of trading of this currency pair.

string
Allowed values: enabled disabled
Example
enabled
min
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
max
object
amount
required

The fiat amount.

number format: float
Example
3000
currencyCode
required

The fiat currency code.

string
Example
EUR
sell
object
status

Status of trading of this currency pair.

string
Allowed values: enabled disabled
Example
enabled
min
object
amount
required

The amount of the cryptocurrency.

number format: float
Example
0.5
currencyCode
required

The currency code.

string
Example
BTC
max
object
amount
required

The amount of the cryptocurrency.

number format: float
Example
0.5
currencyCode
required

The currency code.

string
Example
BTC
address
object
address
required

The address to send the crypto to. You can use this to estimate transaction fees before requesting a quote.

string
Example
3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5
destinationTag

The destination tag which should be used to send the coins. This depends on the coin type and can be a string or an integer. For XRP it is an integer, for other coins it is a string.

string|integer
nullable
Example
{
"default": "ABC1234",
"XRP": 12341
}

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER800 ER801 ER802 ER803 ER805 ER806 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}